Mandates - Revoke Mandate
curl --request POST \
--url https://sandbox.hyperswitch.io/mandates/revoke/{mandate_id} \
--header 'api-key: <api-key>'import requests
url = "https://sandbox.hyperswitch.io/mandates/revoke/{mandate_id}"
headers = {"api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'api-key': '<api-key>'}};
fetch('https://sandbox.hyperswitch.io/mandates/revoke/{mandate_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mandate_id": "<string>",
"status": "active",
"error_code": "E0001",
"error_message": "Failed while verifying the card"
}Mandates
Mandates - Revoke Mandate
Revokes a mandate created using the Payments/Create API
POST
/
mandates
/
revoke
/
{mandate_id}
Mandates - Revoke Mandate
Authorizations
Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Path Parameters
The identifier for a mandate
Response
The mandate was revoked successfully
The identifier for mandate
The status of the mandate, which indicates whether it can be used to initiate a payment.
Available options:
active, inactive, pending, revoked If there was an error while calling the connectors the code is received here
Example:
"E0001"
If there was an error while calling the connector the error message is received here
Example:
"Failed while verifying the card"
Was this page helpful?